Ql2 Requirements

Web Browser

QL2 runs in the latest version of Chrome or Firefox. Both are free downloads.